Bug 184379 - [69cat] XML: WSDL Plugin Missing
[69cat] XML: WSDL Plugin Missing
Status: STARTED
Product: updatecenters
Classification: Unclassified
Component: Pluginportal
6.x
All All
: P1 with 51 votes (vote)
: TBD
Assigned To: Jiri Kovalsky
issues@updatecenters
http://wiki.netbeans.org/Extracting_X...
:
: 178461 178814 (view as bug list)
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-04-16 20:11 UTC by gliesian
Modified: 2014-02-04 18:46 UTC (History)
14 users (show)

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description gliesian 2010-04-16 20:11:33 UTC
NetBeans 6.8 documentation references a WSDL Plugin.
The WSDL Plugin is not available in the NetBeans Update Center.

Either the plugin should be added, or the documentation should be removed.

Note: The plugin is available on NetBeans 6.9: (XML Schema and WSDL: SOA)

Thanks.

Just FYI...

Help | "Help Contents" Documentation:

Creating a WSDL Document
------------------------
See Also  
Web Services Description Language (WSDL) is an XML-based specification for describing a web service. WSDL defines a web service as a set of endpoints or ports operating on messages. WSDL is extensible to allow the description of endpoints and their associated messages regardless of what message formats or network protocols are used to communicate.
To create a WSDL file:
Install the WSDL plugin, under Tools > Plugins.
In the Projects window or Files window, right-click the project node and choose New > Other. In the New File wizard, choose XML under Categories and choose WSDL Document under File Types. Click Next.
The New WSDL File wizard opens.
Type the WSDL file name name and specify a folder to house it.
Specify the namespace of the elements (such as message, portType, binding) defined in the WSDL file.
Specify the XML schemas needed by the WSDL file, if any.
Click Finish.
The IDE creates a WSDL file for you, with default code that you can modify according to your business needs.
Create a web service from the WSDL file.
Comment 1 Jiri Kovalsky 2010-04-21 16:08:56 UTC
Robert, I don't see the plugin available on the Update Center for NetBeans 6.8 either but on the other hand I don't see the documentation you are referring to. If I open "Help > Help Contents", switch to "Search" tab, type "WSDL" to "Find:" field and hit Enter, I see no "Creating a WSDL Document" page.

The only way to install the "XML Schema and WSDL: SOA" plugin is to use development builds. I am sorry but this is as designed as we don't want to enable that functionality for FCS because it does not meet required quality criteria.
Comment 2 gliesian 2010-05-04 02:39:46 UTC
*** Bug 178461 has been marked as a duplicate of this bug. ***
Comment 3 jtalbut 2010-06-15 05:30:30 UTC
Please can you be more specific about how the WSDL and XSD plugin fails to meet the quality criteria.

I make regular use of the plugin on netbeans 6.8 and it is no less reliable than the rest of netbeans.

I think that there is a significant part of the Netbeans userbase that came to Netbeans through Open-ESB, I stayed (after ditching Open-ESB) because I like the Netbeans experience, but to find that one of the most important features for my work is no longer supported is disappointing.
Comment 4 Jiri Kovalsky 2010-06-15 07:22:09 UTC
The quality criteria for Stable Update Center is no P1 and no P2 bugs. For Beta Update Center it is at least no P1 bugs but SOA has 19 high priority bugs [1] and nobody to fix them and test the functionality entirely. For more information please consult our archived features Wiki [2].

[1] http://netbeans.org/bugzilla/buglist.cgi?query_format=advanced&product=soa&cf_bug_type=DEFECT&bug_status=NEW&bug_status=STARTED&bug_status=REOPENED&priority=P1&priority=P2
[2] http://wiki.netbeans.org/NetBeansArchivedFeatures
Comment 5 jtalbut 2010-06-24 07:06:50 UTC
Thanks.

The SOA category is made up of two plugins - one of which is of general interest (WSDL & XSD Editor) and one which is very specific to OpenESB (SOA).
Almost all of the SOA bugs relate to OpenESB behaviour and not to the WSDL & XSD editor.

I would urge you to separate the two, so that the WSDL and XSD editor can be made part of the standard netbeans offering, whilst the SOA plugin dies a slow lingering death (unless the OpenESB people pick it up).

The lack of the WSDL and XSD editor is preventing me from upgrading to 6.9 (and I even downloaded jdeveloper to see whether that was worth changing).
Comment 6 Jiri Kovalsky 2010-06-24 09:08:25 UTC
Adding Sergey Lunegov to Cc: list as he can better answer how realistic it is to separate XSD Editor + WSDL from the rest of SOA plugins.

Sergey, can you please comment on that? Thanks!
Comment 7 matej 2010-07-01 21:00:59 UTC
The same as for XML Schema applies to XSL plugin. For simple XSL use is enought code completion not full visual editing (for SOA). If I see xsl modules sources at first sight, only XSLT Model and part of XSLT Core is only needed (+ strong dependencies on XML and XML Schema plugins). 

I try to simplify both modules, but sourcode is too complex to finish my work. I'm not good NB plugin developer to answer question if XSL plugin can be divided to more pluigins: simple code completion (for non SOA developing) and visual editing (multiview for SOA). This implies possibility to change/override supported features by project type (different DataObject implementations for different use). Is this possible?
Comment 8 jcstier 2010-07-13 15:31:08 UTC
I was able to get the schema editor working from this repo http://dlc.sun.com.edgesuite.net/netbeans/updates/6.9/uc/m1/dev/catalog.xml.gz
But I have to manually add xjc to the ant build.
I use the xsd and WSDL editor everyday.  I most certainly agree that it should be moved out of the SOA plugin and added to netbeans proper since xml schemas can be used across all area of development.  It's so simple and intuitive I would hate to loose this functionality.  This plugin is what won me away from Eclipse :O)
Comment 9 heraldreichel 2010-08-31 09:54:19 UTC
The graphic xsd editor is a very neat feature. In fact it's one of the easiest to use there are. Just that most other IDE's schema editors are appalling doesn't mean Netbeans should relapse into the same state.

I'd rather have the xsd editor, as it is now, only as a separate plugin in the regular Netbeans repository than having to workaround all the time. While it may not be perfect it never crashed the IDE for me, so please, please put it back where it belongs.

Thx, Herald
Comment 10 hemangajmera 2010-12-14 19:29:39 UTC
I know java, but I have never worked on Netbeans plugins development. I am willing to volunteer to separate the XSD editor. Let me know if I can be of any help. As others have said, having XSD editor is kind of basic IDE requirement.
Comment 11 hemangajmera 2010-12-14 22:04:04 UTC
*** Bug 178814 has been marked as a duplicate of this bug. ***
Comment 12 Jiri Kovalsky 2010-12-15 17:10:23 UTC
Sergey, can you please provide some guidance to this volunteer or the separation is not that easy? Thanks a lot!
Comment 13 Marian Mirilovic 2011-02-23 09:40:37 UTC
>10 votes -> P2
Comment 14 sskjames 2011-03-14 06:09:15 UTC
I'm using NetBeans 6.9 and don't see this plugin in the plugins list.
Comment 15 Petr Jiricka 2011-03-16 12:31:45 UTC
Not a part of the 7.0 release -> NO70 keyword.
Comment 16 Jesse Glick 2011-03-30 13:05:37 UTC
Physically separating the xml and/or soa clusters so that they can be realistically maintained by volunteers is not a trivial task, but I am ready to do it if given authorization; see: http://wiki.netbeans.org/ExtractingStandaloneCluster

This particular case is complicated a bit by the fact that http://hg.netbeans.org/soa-main/ seems to contain the active development for these features, rather than the usual main repository (i.e. main-silver and its synchronized clones), so it needs to be determined where the authoritative version of the modules lives.


Currently the soa cluster in the main repo is not even built by any public job I know of. The xml cluster is built regularly, however:

http://deadlock.netbeans.org/hudson/job/nbms-and-javadoc/lastStableBuild/artifact/nbbuild/nbms/xml/

These NBMs are built against NB trunk sources and so probably work fine in 7.0.
Comment 17 Petr Jiricka 2011-03-31 21:34:42 UTC
So it sounds like we can publish the current XML Tools plugin on the plugin portal (built e.g. from the release70 branch) without splitting the repository, right? The reorg of the repository can happen later.
Comment 18 Jesse Glick 2011-04-20 23:53:27 UTC
Wade Chandler agreed to post a snapshot of 7.0-compatible binaries on the Plugin Portal. For future development, there is now a repository and working Hudson job to build the XML cluster against 7.0 - see URL.
Comment 19 heraldreichel 2011-06-03 01:37:08 UTC
Here is the current situation as I understand it:

You can only get the XSD editor in Netbeans 7.0 stable if you add the plugins repository
http://dlc.sun.com.edgesuite.net/netbeans/updates/7.0/uc/m2/dev/catalog.xml.gz
and then install the "XML Pack" plugin.

Is this correct?

I was unable to find it in any later repositories, searching for XSD or schema yields only Trang as a result in all of the repositories I tried.

Installing the XML pack from M2 was a shot in the dark, too, the description isn't overly verbose and contains none of the terms xsd, schema or wsdl, but I couldn't find the XML pack in any later version's repositories either.
Comment 20 Jesse Glick 2011-06-03 14:37:06 UTC
There is no official update center for the XML pack in 7.0 FCS since it is no longer officially supported. There is http://deadlock.netbeans.org/hudson/job/xml/lastSuccessfulBuild/artifact/build/updates/updates.xml which may or may not work well; Wade said he would look into maintaining this code at some point but there has been no activity yet that I know of.
Comment 21 sleepingjack 2011-06-21 12:24:36 UTC
Another vote for this one!
I get a timeout trying to access the deadlock url for the temporary copy.
Comment 22 dicota 2011-07-21 12:36:52 UTC
I voted also for the XML/WSDL/XSD Plugin, because it is essential in daily development of web applications. I hope that the plugin will be "offically" availalbe from the update center in the very near future.
Comment 23 Jiri Kovalsky 2011-07-21 12:39:57 UTC
Fortunately, it's possible to install the "XML Tools" plugin into NetBeans IDE 7.0 from the Hudson Update Center [1] at deadlock.netbeans.org.

[1] http://deadlock.netbeans.org/hudson/job/xml/lastSuccessfulBuild/artifact/build/updates/updates.xml

Wade, any update on this?
Comment 24 dicota 2011-07-21 12:44:28 UTC
I already did the installation from the recommended update center. Nevertheless it would be appreciated if this valuable XML tool set would be back again in the official plug-in "family.
Comment 25 Jiri Kovalsky 2011-07-21 13:33:26 UTC
Well, this would be possible if someone signs the plugin and publishes it in the Plugin Portal and then asks for verification. For more details see here:

http://wiki.netbeans.org/FaqPluginUpdateCenter
Comment 26 _ wadechandler 2011-07-28 19:18:06 UTC
I grabbed the latest community-xml, and the code and plugins seem to be working OK right now in NB 7.0. I need to get the licenses set and things signing and then I can publish them to the plugin portal. I will work on that over the next few days as I have time, and should have them published soon.
Comment 27 Marian Mirilovic 2011-08-02 05:34:16 UTC
>20 dups + votes -> P1 based on http://wiki.netbeans.org/BugPriorityGuidelines
Comment 28 gliesian 2011-08-02 12:49:27 UTC
Thank you guys for working on this issue... it is much needed by the NetBeans community.

Please also consider completing some of the following XML related issues that I opened up at the same time as this one (and releasing at the same time as this one).  Thanks!  They are listed below.

184872 	[69cat] XML: WSDL 1.1/2.0 Wizards, Editors and Converters
186919 	[69cat] XML: Tag Locking Mechanism
187212 	[69cat] XML: Create XML Download Bundle
185450 	[69cat] XML: Add Database Schema to/from XML Schema Conversion
184938 	[69cat] XML: Comment and Uncomment buttons for XML source code lines
185453 	[69cat] XML: Create additional code templates for XML-related files (i.e. .xml, .xslt, .xsd) and DTD (.dtd) files
185197 	[69cat] XML: XSLT Template Designed for HTML; process doesn't consider XML or TEXT output methods
184580 	[69cat] XML: Extend "Generate DTD" command to "Generate DTD/Schema"
184628 	[69cat] XML: Request for Visual XML Editor
184878 	[69cat] XML: XSLT Profiler
184877 	[69cat] XML: XSLT Debugger
184868 	[69cat] XML: XPath 1.0/2.0 Analyzer Capability
184793 	[69cat] XML: XML File Right-click Menu Could Have Gutter Glyphs
187097 	[69cat] XML: Web Browser Icon in XML Editor's Toolbar
186920 	[69cat] XML: Validate complete set of XML-Related Files
187164 	[69cat] XML: Use the most current version of Xalan.
183658 	[69cat] XML: Resultant file from XSL transformation isn't formatted
184489 	[69cat] XML: Request for XSLT 2.0 and XPATH 2.0 support
184564 	[69cat] XML: Replace "Check XML" text with "Check Well-Formedness"
184591 	[69cat] XML: New "File | Encoding..." Feature for XML Files
186395 	[69cat] XML: http://xml.netbeans.org/ needs to target 6.8 or 6.9
186949 	[69cat] XML: Creation of an "XML Copy Editor" XML Editor Integration Plugin
186948 	[69cat] XML: Creation of an "oXygen" XML Editor Integration Plugin
186951 	[69cat] XML: Creation of an "EditiX" XML Editor Integration Plugin
186950 	[69cat] XML: Creation of an "Altova XMLSpy" XML Editor Integration Plugin
183788 	[69cat] XML: Add the XSL Transformation Pipeline Feature
185449 	[69cat] XML: Add DTD to/from XML Schema Conversion
184566 	[69cat] XML: Add "XSL-FO Transformation..." menu item for XML files
186914 	[69cat] XML: Add "Generate an XML RelaxNG Schema" option
Comment 29 heraldreichel 2011-08-02 20:49:02 UTC
I'm aware of the fact that >20 votes formally make a P1 bug. I don't mean to be rude, but this needs to be clarified:

The title of this bug is "XML: WSDL Plugin Missing".

The votes on this issue obviously support the notion that it's MISSING, not that it shouldn't be there. To misconstrue the large number of votes as meaning their exact opposite ("it should not be in the repositories") is to me a willful misinterpretation of what is a simple statement in English.

This would be going too far, but if anything, it should be a blocker for the product "updatecenters" itself unless it contains what has been voted P1 as missing.
Comment 30 gliesian 2011-08-02 21:43:38 UTC
heraldreichel,

The title can be easily changed.

What would be a better representation of this issue to you rather than, "[69cat] XML: WSDL Plugin Missing"?

I'm fine, and I'm sure that everyone else is, if you make the update to the title yourself, in the best interest of the effort.

Thanks alot,
-- Robert
Comment 31 heraldreichel 2011-08-02 22:10:32 UTC
(In reply to comment #30)
> heraldreichel,
> 
> The title can be easily changed.
> 
> What would be a better representation of this issue to you rather than,
> "[69cat] XML: WSDL Plugin Missing"?
> 
> I'm fine, and I'm sure that everyone else is, if you make the update to the
> title yourself, in the best interest of the effort.
> 
> Thanks alot,
> -- Robert

I wouldn't be able to find a better title, I think it's simple and clear as it is.

Comments #4 and #27 seem to hold the number of votes for this bug against adding XML Pack to the updatecenter, however. I disagree with these opinions, because IMO they fail to recognize the fact that "XML: WSDL Plugin Missing" isn't criticism of the WSDL (and successor) plugin itself but critical of the fact that it is not in the updatecenter.

The point that I was trying to clarify was that "XML: WSDL Plugin Missing" is not the same as "XML: WSDL Plugin Faulty", and that the number of votes for this bug should therefore go towards adding the plugin instead of towards withholding it.
Comment 32 Jiri Kovalsky 2011-08-03 07:40:53 UTC
Herald, I agree that it's always stressful for some users if their favourite feature is removed from the product but it's logical step if the feature is broken and there is nobody left to fix it. This happened to SOA pack after NetBeans 6.7.1 release [1]. Fortunately, NetBeans is an open source project and so NetBeans community can take the source code, fix it and publish the plugin themselves. In this case Wade Chandler took over the responsibility to separate WSDL plugin from the rest of SOA buggy code and put it on the Update Center. I believe that you are very thankful for that just like other 35 voters on this issue. Thanks for your support!

[1] http://wiki.netbeans.org/NetBeansArchivedFeatures
Comment 33 gliesian 2011-09-07 12:37:20 UTC
Wade Chandler rocks!  Thanks for the work, I'm glad I opened this issue!!
Comment 34 Antonin Nebuzelsky 2012-04-03 09:47:30 UTC
Still open or should be closed fixed?
Comment 35 heraldreichel 2012-04-03 10:45:00 UTC
(In reply to comment #34)
> Still open or should be closed fixed?

I think it should remain open.

The XML Tools can be installed via the deadlock repository (deadlock.netbeans.org/hudson/job/xml/lastSuccessfulBuild/artifact/build/updates/updates.xml) but IMO the bug should remain open until they are back in the regular plugin repository.
Comment 36 fortruth 2012-05-16 02:26:19 UTC
using the deallock url repository(http://deadlock.netbeans.org/hudson/job/xml/lastSuccessfulBuild/artifact/build/updates/updates.xml), I call back the xml tool in 7.1.2.

It really be a excellent tool. 

I would like keep going with it.
Comment 37 brutzman 2012-11-09 06:04:56 UTC
please bring the schema editor back into the primary build, it is important.  TIA.
Comment 38 pgebauer 2013-06-12 15:13:48 UTC
We do not plan to bring the schema editor back into the primary build. If the community wants to have the plugin available, somebody should get it available at plugin portal. Otherwise the issue should be fixed as wontfix.
Comment 39 teodoro 2013-06-12 16:32:32 UTC
(In reply to comment #38)
> We do not plan to bring the schema editor back into the primary build. If the
> community wants to have the plugin available, somebody should get it available
> at plugin portal. Otherwise the issue should be fixed as wontfix.

How do Netbeans project plans to support JAXWS, Java from WSDL code generation ?

Are you assuming developers will have to use another tool to create their WSDLs + Schemas and import them to Netbeans ? 

Why not support schema designer + WSDL designer so JAXWS based development be completely fulfilled  ?
Comment 40 Petr Jiricka 2013-06-13 09:32:18 UTC
> How do Netbeans project plans to support JAXWS, 
> Java from WSDL code generation?

To answer this, it would be useful to know how people do this currently. Can you please describe your current development workflow? Thanks.
Comment 41 freddiefishcake 2013-06-13 10:38:25 UTC
Hi Petr,
we use a "contract first" approach and our workflow is typically something like:

a) create a (Java SE) Maven project for the XSDs, WSDLs and associated Java classes.

b) design the data transfer objects. Often this is a combination of some Java interface classes and XSD files that implement those interfaces. The XSDs are created and edited using the NetBeans XSD editor .. perosnally I tend to hand edit the XSD, so the most important feature for me is "Validate XML".

c) If we are also providing a SOAP web service we also create the WSDLs in this project (using the NetBeans WSDL editor) and use the jaxws-maven-pluging to generate the WSDL Service / Port / Fault classes and also the Java classes for XSD type definitions. If we are not providing a SOAP Web servie then we would use the maven-jaxb2-plugin.

This Maven project can then be used by multiple other projects, for example a Java SE client and / or a Java EE Web Service implementation and / or REST Resources etc.

It is extremely important for us to be able to conveniently edit / manage the XSD and WSDL files from within NetBeans .. switching away from NetBeans to some other tool to edit those files would be a serious pain and we would perhaps look to use a different IDE that had integrated XSD and WSDL editing, which would be a real shame because we love NetBeans ;-)

Taking a look from a slightly different perspective, one of the features that NetBeans is justifyably proud of is it's integration with GlassFish (and other application containers) .. and one of the key functionalities of an application container is hosting web services .. so surely NetBeans needs to provide comprehensive support for developing web services? I know that simple Web Services can be implemented quickly using a Java first approach, but for larger or more formal projects a contract first approach is either mandated or just makes good sense. So, please don't deprecate this functionality .. what we have at the moment is better than many stand-alone editors and it would be a real shame to throw it away and lose all the benefits of working within one integrated environment!
Comment 42 msmall 2013-06-13 10:43:30 UTC
We currently have to use eclipse for this which is a real bummer.  Please bring back this functionality.
Comment 43 dbritton 2013-07-26 14:13:49 UTC
Such Important functionality.  THANKS WADE!
http://blog.maurizioturatti.com/2012/04/xml-schema-and-wsdl-modules-for.html


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo